Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.event.rule
Class DefaultRuleRuntimeEventListener

    java.lang.Object
      org.kie.api.event.rule.DefaultRuleRuntimeEventListener

All Implemented Interfaces:
  EventListener, RuleRuntimeEventListener, WorkingMemoryEventListener

    public class DefaultRuleRuntimeEventListener

extends Object
implements RuleRuntimeEventListener

Constructor Summary
`DefaultRuleRuntimeEventListener()`

Method Summary
`void` | `objectDeleted(ObjectDeletedEvent event)`
`void` | `objectInserted(ObjectInsertedEvent event)`
`void` | `objectUpdated(ObjectUpdatedEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRuleRuntimeEventListener

    public DefaultRuleRuntimeEventListener()

Method Detail

### objectInserted

    public void objectInserted(ObjectInsertedEvent event)

  Specified by:
    `objectInserted` in interface `RuleRuntimeEventListener`
  Specified by:
    `objectInserted` in interface `WorkingMemoryEventListener`

### objectDeleted

    public void objectDeleted(ObjectDeletedEvent event)

  Specified by:
    `objectDeleted` in interface `RuleRuntimeEventListener`
  Specified by:
    `objectDeleted` in interface `WorkingMemoryEventListener`

### objectUpdated

    public void objectUpdated(ObjectUpdatedEvent event)

  Specified by:
    `objectUpdated` in interface `RuleRuntimeEventListener`
  Specified by:
    `objectUpdated` in interface `WorkingMemoryEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.